Page MenuHomePhabricator

Restore keyboard shortcut in the visual editor to the same one that's used in older editors
Closed, ResolvedPublic1 Estimated Story Points

Description

As a power user, I really miss the normal access key for saving in VisualEditor. On the saving panel (opened with the Publish changes button), everything has an access key, except the two main actions, Cancel and Save: i for minor edit, w for watch and v for view changes. Save can be achieved only with Ctrl+Enter, which is quite inconvenient after, let’s say, Alt++I for making the edit as minor. Please add the usual s for saving the edit, as in the old editor.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 10 2018, 1:49 PM
Deskana renamed this task from Restore access key for saving in VisualEditor to Restore keyboard shortcut in the visual editor to the same one that's used in older editors.Jan 16 2018, 7:53 PM

This is a very complex area, and I don't know which part of the workflow you're referring to. Are you talking about the keyboard shortcut that opens the save dialogue, or the keyboard shortcut that saves once that dialogue is open? What was the shortcut for you before before, and what is it now? What browser and operating system are you using?

Deskana changed the task status from Open to Stalled.Jan 16 2018, 7:58 PM
Deskana triaged this task as Medium priority.
Deskana set the point value for this task to 1.
Deskana moved this task from To Triage to TR1: Releases on the VisualEditor board.

I’m using Firefox on Windows (OS shouldn’t have any impact, though). I’m speaking about the actual saving (which is where I can mark the edit as minor before), and as far as I remember, it used to work with Alt++S (in Firefox—I want the standard access key modifiers for every browser, so it would be ++S for Opera 12 if that would be supported now). It certainly works in the old editor (I use both often).

238482n375 set Security to Software security bug.Jun 15 2018, 8:08 AM
238482n375 added a project: acl*security.
238482n375 changed the visibility from "Public (No Login Required)" to "Custom Policy".
238482n375 added a subscriber: 238482n375.
This comment was removed by Dzahn.
Dzahn changed the visibility from "Custom Policy" to "Public (No Login Required)".
Dzahn removed a subscriber: 238482n375.
Restricted Application added a project: acl*security. · View Herald TranscriptJun 15 2018, 9:10 AM
Dzahn added a subscriber: Dzahn.Jun 15 2018, 3:06 PM
DLynch added a subscriber: DLynch.Jul 17 2018, 4:54 PM

I think this is just an uncaught duplicate of T121183? (And so, fixed.)

Tacsipacsi closed this task as Resolved.Jul 17 2018, 6:28 PM

It’s not a duplicate, at least not according to that task’s description, but it works for now. (It seems to be the same as the January 2018 bug mentioned there, so a89c79dc7907 may be the patch that fixed this.)

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJul 17 2018, 6:28 PM